mxHtmlCanvas (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.canvas
Class mxHtmlCanvas

    java.lang.Object
      com.mxgraph.canvas.mxBasicCanvas
          com.mxgraph.canvas.mxHtmlCanvas

All Implemented Interfaces:
  mxICanvas

    public class mxHtmlCanvas

extends mxBasicCanvas

An implementation of a canvas that uses HTML for painting.

Field Summary
`protected Document` | `document` Holds the HTML document that represents the canvas.

Fields inherited from class com.mxgraph.canvas.mxBasicCanvas
`DEFAULT_IMAGEBASEPATH, drawLabels, imageBasePath, imageCache, PRESERVE_IMAGE_ASPECT, scale, translate`

Constructor Summary
`mxHtmlCanvas()` Constructs a new HTML canvas for the specified dimension and scale.
`mxHtmlCanvas(Document document)` Constructs a new HTML canvas for the specified bounds, scale and background color.

Method Summary
`void` | `appendHtmlElement(Element node)`
`Object` | `drawCell(mxCellState state)` Draws the given cell.
`Object` | `drawLabel(String label, mxCellState state, boolean html)` Draws the given label.
`void` | `drawLine(List<mxPoint> pts, Map<String,Object> style)` Draws the given lines as segments between all points of the given list of mxPoints.
`protected void` | `drawSegment(int x0, int y0, int x1, int y1, String strokeColor, int strokeWidth)` Draws the specified segment of a line.
`Element` | `drawShape(int x, int y, int w, int h, Map<String,Object> style)` Draws the shape specified with the STYLE_SHAPE key in the given style.
`Element` | `drawText(String text, int x, int y, int w, int h, Map<String,Object> style)` Draws the specified text either using drawHtmlString or using drawString.
`Document` | `getDocument()` Returns a reference to the document that represents the canvas.
`void` | `setDocument(Document document)`

Methods inherited from class com.mxgraph.canvas.mxBasicCanvas
`flushImageCache, getImageBasePath, getImageForStyle, getScale, getTranslate, isDrawLabels, loadImage, setDrawLabels, setImageBasePath, setScale, setTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    protected Document document

  Holds the HTML document that represents the canvas.

Constructor Detail

### mxHtmlCanvas

    public mxHtmlCanvas()

  Constructs a new HTML canvas for the specified dimension and scale.

### mxHtmlCanvas

    public mxHtmlCanvas(Document document)

  Constructs a new HTML canvas for the specified bounds, scale and background color.

Method Detail

### appendHtmlElement

    public void appendHtmlElement(Element node)

### setDocument

    public void setDocument(Document document)

### getDocument

    public Document getDocument()

  Returns a reference to the document that represents the canvas.

  Returns:
    Returns the document.

### drawCell

    public Object drawCell(mxCellState state)

  Description copied from interface: `mxICanvas`
  Draws the given cell.

  Parameters:
    `state` - State of the cell to be painted.
  Returns:
    Object that represents the cell.

### drawLabel

    public Object drawLabel(String label,
                            mxCellState state,
                            boolean html)

  Description copied from interface: `mxICanvas`
  Draws the given label.

  Parameters:
    `label` - String that represents the label.
    `state` - State of the cell whose label is to be painted.
    `html` - Specifies if the label contains HTML markup.
  Returns:
    Object that represents the label.

### drawShape

    public Element drawShape(int x,
                             int y,
                             int w,
                             int h,
                             Map<String,Object> style)

  Draws the shape specified with the STYLE_SHAPE key in the given style.

  Parameters:
    `x` - X-coordinate of the shape.
    `y` - Y-coordinate of the shape.
    `w` - Width of the shape.
    `h` - Height of the shape.
    `style` - Style of the the shape.

### drawLine

    public void drawLine(List<mxPoint> pts,
                         Map<String,Object> style)

  Draws the given lines as segments between all points of the given list of mxPoints.

  Parameters:
    `pts` - List of points that define the line.
    `style` - Style to be used for painting the line.

### drawSegment

    protected void drawSegment(int x0,
                               int y0,
                               int x1,
                               int y1,
                               String strokeColor,
                               int strokeWidth)

  Draws the specified segment of a line.

  Parameters:
    `x0` - X-coordinate of the start point.
    `y0` - Y-coordinate of the start point.
    `x1` - X-coordinate of the end point.
    `y1` - Y-coordinate of the end point.
    `strokeColor` - Color of the stroke to be painted.
    `strokeWidth` - Width of the stroke to be painted.

### drawText

    public Element drawText(String text,
                            int x,
                            int y,
                            int w,
                            int h,
                            Map<String,Object> style)

  Draws the specified text either using drawHtmlString or using drawString.

  Parameters:
    `text` - Text to be painted.
    `x` - X-coordinate of the text.
    `y` - Y-coordinate of the text.
    `w` - Width of the text.
    `h` - Height of the text.
    `style` - Style to be used for painting the text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.